#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include "ioctl-driver.h"

int main(int argc, char* argv[])
{
  int fd;
  int arg = 0;
  
  if(argc < 3)
  {
    fprintf(stderr, "Hasznalat: %s <allomany> i|d|g|s [ertek]\n", argv[0]);
    return 1;
  }
  
  fd = open(argv[1], O_RDONLY);
  if(fd < 0)
  {
    perror("open");
    return 1;
  }
  
  switch(argv[2][0])
  {
    case 'i':
	    ioctl(fd, HELLO_IOC_INCREASE);
	    printf("Noveles\n");
	    break;
    case 'd':
	    ioctl(fd, HELLO_IOC_DECREASE);
	    printf("Csokkentes\n");
	    break;
    case 'g':
	    ioctl(fd, HELLO_IOC_GET, &arg);
	    printf("Szamlalo ertek %d\n", arg);
	    break;
    case 's':
	    if(argc >= 4) arg = atoi(argv[3]);
	    ioctl(fd, HELLO_IOC_SET, &arg);
	    printf("Ertek beallitva %d\n", arg);
	    break;
    default:
	    fprintf(stderr, "Hasznalat: %s <allomany> i|d|g|s [ertek]\n", argv[0]);
  }

  return 0;
}
 
