/* ioctl-test2.c
 * 
 * Az adv-driver eszközmeghajtó tesztelésére szolgáló program.
 * 
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include "adv-driver.h"

int main(int argc, char* argv[])
{
  int fd;
  unsigned long arg=0;
  
  if(argc < 3)
  {
    fprintf(stderr, "Hasznalat: %s <allomany> c|g|s [meret]\n", argv[0]);
    return 1;
  }
  
  fd = open(argv[1], O_RDONLY);
  if(fd < 0)
  {
    perror("open");
    return 1;
  }

  switch(argv[2][0])
  {
    case 'c':
	    ioctl(fd, HELLO_IOC_CLEAR);
	    printf("Törölve\n");
	    break;
    case 'g':
	    ioctl(fd, HELLO_IOC_GSIZE, &arg);
	    printf("Meret %lu\n", arg);
	    break;
    case 's':
	    if(argc>=4) arg=atoi(argv[3]);
	    ioctl(fd, HELLO_IOC_SSIZE, &arg);
	    printf("Meret beallitva %lu\n", arg);
	    break;
    default:
	    fprintf(stderr, "Hasznalat: %s <allomany> c|g|s [meret]\n", argv[0]);
  }

  return 0;
}
 
